Mail archive
alpine-aports

[alpine-aports] [PATCH] main/hub: upgrade to 2.2.1

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Fri, 14 Aug 2015 23:25:44 +0200

hub has switched from ruby to go for performance reasons which leaves us
with the usual go dependency tracking problem. I decided to simply
invoke their build script which has the huge disadvantage that the
integrity of the dependencies cannot be verified.

Also remove Eivind Uggedal as a maintainer since this package was
outdated in a major way and he didn't touch it for an entire year. I
don't want to maintain this package because I don't use it anymore. I
would suggest that somebody else takes over the maintainership for this
package and finds a solution for the problem above or alternatively I
would simply move this package to unmaintained/ or testing/ until a
solution for the problem above and/or a new maintainer is found.
---
 main/hub/APKBUILD | 54 ++++++++++++++++++++++++++++++++++++++++--------------
 1 file changed, 40 insertions(+), 14 deletions(-)
diff --git a/main/hub/APKBUILD b/main/hub/APKBUILD
index efbb506..2e9e1a1 100644
--- a/main/hub/APKBUILD
+++ b/main/hub/APKBUILD
_at_@ -1,31 +1,57 @@
-# Maintainer: Eivind Uggedal <eivind_at_uggedal.com>
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Contributor: Eivind Uggedal <eivind_at_uggedal.com>
+# Maintainer
 pkgname=hub
-pkgver=1.12.2
+pkgver=2.2.1
 pkgrel=0
 pkgdesc="Extends git with extra features for GitHub"
 url="http://hub.github.com/"
-arch="noarch"
+arch="all"
 license="MIT"
-depends="git ruby"
-makedepends="ruby-rake"
+depends=""
+makedepends="go bash"
 install=""
-subpackages="$pkgname-doc"
+options="!strip"
+subpackages="
+	$pkgname-doc
+	$pkgname-bash-completion:bashcomp
+	$pkgname-zsh-completion:zshcomp"
 source="$pkgname-$pkgver.tar.gz::https://github.com/github/hub/archive/v$pkgver.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
-
 build() {
-	cd "$_builddir"
-	rake standalone
+	# XXX this sucks a lot, it simply sets up GOPATH
+	# and invokes go get afterwards thus we cannot
+	# verify the integrity of the downloaded packages.
+	cd "$_builddir" && ./script/build
 }
 
 package() {
 	cd "$_builddir"
-
 	install -Dm755 $pkgname "$pkgdir/usr/bin/$pkgname"
 	install -D -m644 man/$pkgname.1 "$pkgdir"/usr/share/man/man1/$pkgname.1
-	install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
 }
-md5sums="34cf565a476b33b180a8f4d12a93bfab  hub-1.12.2.tar.gz"
-sha256sums="e9c49a98a4d90202c33f57d63c6191cd28f0e1d9d7cf54d0e655d3d9d3765e84  hub-1.12.2.tar.gz"
-sha512sums="bbcfec1444c9bde3423a95a885840f790d2251a94d714657d4ddde10c9250b38d0797df36ad70790f2556f4900c10a23f0a496164ee79d4a4cd693b6bcefe25d  hub-1.12.2.tar.gz"
+
+bashcomp() {
+	depends=""
+	pkgdesc="Bash completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel bash"
+	arch="noarch"
+
+	install -Dm644 "$_builddir"/etc/hub.bash_completion.sh \
+		"$subpkgdir"/usr/share/bash-completion/completions/$pkgname || return 1
+}
+
+zshcomp() {
+	depends=""
+	pkgdesc="Zsh completions for $pkgname"
+	install_if="$pkgname=$pkgver-r$pkgrel zsh"
+	arch="noarch"
+
+	install -Dm644 "$_builddir"/etc/$pkgname.zsh_completion \
+		"$subpkgdir"/usr/share/zsh/site-functions/_$pkgname || return 1
+}
+
+md5sums="889a31ee9d10ae9cb333480d8dbe881f  hub-2.2.1.tar.gz"
+sha256sums="9350aba6a8e3da9d26b7258a4020bf84491af69595f7484f922d75fc8b86dc10  hub-2.2.1.tar.gz"
+sha512sums="8ccab0722903202a8aec28211c9560961948f3b9099f481809f1029d682fff0f88f65568c2fd03bfb9f7d66e0c148e232f801432c0bdd3840f4edf7e427679ac  hub-2.2.1.tar.gz"
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Aug 14 2015 - 23:25:44 GMT